LYR Class Reference

Quality Layers Command. More...

`#include <Task.h>`

Inheritance diagram for LYR:

## Public Member Functions

void | run (Session *session, const std::string &argument)
| Main public function.
Public Member Functions inherited from Task
virtual | ~Task ()
| Virtual destructor.
void | checkImage ()
| Check image.

## Additional Inherited Members

Static Public Member Functions inherited from Task
static Task * | factory (const std::string &type)
| Factory function.
Protected Attributes inherited from Task
Timer | command_timer
| Timer for each task.
Session * | session
| Pointer to our session data.
std::string | argument
| Argument supplied to the task.

## Detailed Description

Quality Layers Command.

## Member Function Documentation

## run()

void LYR::run | ( | Session * | session,
|  | const std::string & | argument )

virtual

Main public function.

Reimplemented from Task.

References Task::argument, and Task::session.

The documentation for this class was generated from the following file:

- Task.h